<template name="account">
	
	{{>menu}}
<div class="container">
	<ul class="nav nav-tabs">
	  <li class="active"><a data-toggle="tab" href="#profileTab">Profile</a></li>
	  <li><a data-toggle="tab" href="#changePasswordTab">Change Password</a></li>
	  <li><a data-toggle="tab" href="#reservationHistoryTab">Reservation History</a></li>
	</ul>

	<div class="tab-content">
		<div id="profileTab" class="tab-pane fade in active">
			<div class="col-md-6">
				<br>
           		<form class="form" role="form" method="post" action="update" accept-charset="UTF-8" id="update-user-nav">
					<div class="form-group">
						<input type="text" name="firstName" id="firstName" tabindex="1" class="form-control" placeholder="First Name" value={{ user.firstName }} required="">
					</div>
					<div class="form-group">
						<input type="text" name="lastName" id="lastName" tabindex="1" class="form-control" placeholder="Last Name" value={{ user.lastName }} required="">
					</div>
		            <div class="form-group">
		                <button id="updateUser" name="updateUser" type="submit" class="col-md-6 btn btn-primary btn-block">Update</button>
		            </div>
		        </form>
           </div>
		</div>
		<div id="changePasswordTab" class="tab-pane fade">
			<div class="col-md-6">
				<br>
           		<form class="form" role="form" method="post" action="updatePassword" accept-charset="UTF-8" id="update-password-nav">
					<div class="form-group">
						<input type="password" name="currentPassword" id="currentPassword" class="form-control" placeholder="Current Password" value="" required="">
					</div>
					<div class="form-group">
						<input type="password" name="newPassword" id="newPassword" class="form-control" placeholder="New Password" value="" required="">
					</div>
		            <div class="form-group">
		                <button id="updatePassword" name="updatePassword" type="submit" class="col-md-6 btn btn-primary btn-block">Update</button>
		            </div>
		        </form>
           </div>
		</div>
		<div id="reservationHistoryTab" class="tab-pane fade">
		<br>
		<table class="table table-bordered table-hover table-responsive">
		    <thead style="text-align: center;">
		        <tr class="hidden-sm hidden-xs">
		            <th>Date</th>
		            <th>Reference</th>
		            <th>Branch</th>
		            <th>Movie</th>
		            <th>Screening</th>
		            <th style="width: 150px;">Qty / Seats</th>
		            <th>Status</th>
		        </tr>
		    </thead>
		    <tbody>
		    	{{#each reservations}}
		    	<tr>
		    		<td>{{ dateReserve }}</td>
		    		<td>{{ _id }}</td>
		    		<td>{{ branch }}</td>
		    		<td>{{ movie }}</td>
		    		<td>{{ screening }}</td>
		    		<td>{{ qty }}</td>
		    		<td>{{ status }}</td>
		    	</tr>
		    	{{/each}}
		    </tbody>
		</table>
		</div>
	</div>
</div>

</template>